%define name hotssh
%define version 0.2.7
%define release %mkrel 4

Summary: Secure Shell Client
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/hotssh/0.2/%{name}-%{version}.tar.xz
License: GPLv2+
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.gnome.org/parojects/hotssh
BuildArch: noarch
BuildRequires: desktop-file-utils python-dbus
BuildRequires: python-devel intltool gettext pygtk2.0 
Requires: pygtk2.0
Requires: python-dbus
Requires: gnome-python-desktop
Requires: gnome-python-gnomevfs
Requires: python-vte

%description
HotSSH is an interface to Secure Shell, for GNOME and OpenSSH. 
It intends to be a better experience than simply invoking "ssh" 
from an existing terminal window. 

%prep
%setup -q

%build
python ./waf configure --prefix=/usr
python ./waf

%install
rm -rf $RPM_BUILD_ROOT
python ./waf install --destdir=$RPM_BUILD_ROOT

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -a images/hotwire-openssh.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
convert $RPM_BUILD_ROOT%{_datadir}/pixmaps/hotwire-openssh.png -resize 48 \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/hotwire-openssh.png

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README MAINTAINERS COPYING
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/hotwire-openssh.png
%{_datadir}/icons/hicolor/192x192/apps/hotwire-openssh.png
%{py_sitedir}/*
/usr/share/doc/hotssh-0.2.7/COPYING

%changelog
* Sat Aug 17 2013 billybot <billybot> 0.2.7-4pclos2013
- update python 2.7

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 0.2.7-3pclos2010
- Update

* Tue May 18 2010 Texstar <texstar at gmail.com> 0.2.7-2pclos2010
- add missing dependency python-vte

* Fri Feb 05 2010 slick50 <lxgator@gmail.com> 0.2.7-1pclos2010
- initial pkg
